Win10系统下iis没有注册.netFrameWork4.0的详解

其他 2018-06-12 23:27:26 net4.0

现在越来越多用户都开始用上了win10正式版,不过由于Win10是一个全新的操作系统,所以现有软件的兼容性等各方面都是未知的,它难免会存在很多问题。比如,小编就遇到了Win10下iis没有注册.netFrameWork4.0的问题。经过一番查找,小编终于发现了该问题的原因!

推荐:win10 32位官方下载

原因解析:

小编刚装完win10系统,然后装VS2015,再装sqlsever2014等等一系列开发工具。装了一大堆,忘了装iis了,后来把iis装上,一切看似很正常,然而,当小编在iis上部署一个Web程序的时候,问题出现了,iis没有注册.netFrameWoek4.0,只是默认注册了2.0,但是小编的程序需要4.0,于是重新注册4.0,但是提示注册不成功。

网上查找原因,后来发现是因位vs2015自带的4.5,win10里就能不能再装4.0了,记得win7是可以的,后来小编卸载了高版本的.netFrameWoek,但是还是装不上4.0,后来重装的系统,先装iis默认就注册上了4.0,在装vs2015就好了。

不知道以上的信息对大家是否有帮助呢?遇到同样问题的朋友,不妨参考一下!

本文相关软件

.NET Framework4.0 (x64) 免费版

.net framework是用于Windows的新托管代码编程模型。.net framework 4.0将强大的功能...

更多


'); })();